## org.eclipse.emf.ecore.impl
Class EStoreEObjectImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.EStoreEObjectImpl

All Implemented Interfaces:
  Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

    public class EStoreEObjectImpl

extends EObjectImpl
implements EStructuralFeature.Internal.DynamicValueHolder

An implementation of 'EObject' that delegates to a `store`.

Nested Class Summary
`static class` `EStoreEObjectImpl.BasicEStoreEList<E>` A list that delegates to a store.
`static class` `EStoreEObjectImpl.BasicEStoreFeatureMap` A feature map that delegates to a store.
`static class` `EStoreEObjectImpl.EStoreEList<E>` A list that delegates to a store.
`protected static class` `EStoreEObjectImpl.EStoreEPropertiesHolderImpl` An internal class for holding less frequently members variables.
`static class` `EStoreEObjectImpl.EStoreFeatureMap` A feature map that delegates to a store.
`static class` `EStoreEObjectImpl.EStoreImpl` This class is for testing purposes only and will be removed.

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.lang.Object[]` `ENO_SETTINGS`
`protected java.lang.Object[]` `eSettings`
`protected InternalEObject.EStore` `eStore`
`protected static InternalEObject` `EUNINITIALIZED_CONTAINER`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`EStoreEObjectImpl()` Creates a store-based EObject.
`EStoreEObjectImpl(EClass eClass)` Creates a store-based EObject.
`EStoreEObjectImpl(EClass eClass, InternalEObject.EStore eStore)` Creates a store-based EObject.
`EStoreEObjectImpl(InternalEObject.EStore eStore)` Creates a store-based EObject.

Method Summary
`protected FeatureMap` `createFeatureMap(EStructuralFeature eStructuralFeature)`
`protected EList<?>` `createList(EStructuralFeature eStructuralFeature)`
`java.lang.Object` `dynamicGet(int dynamicFeatureID)` Returns the value of the feature.
`void` `dynamicSet(int dynamicFeatureID, java.lang.Object value)` Sets the value of the feature to the new value.
`void` `dynamicUnset(int dynamicFeatureID)` Unsets the value of the feature.
`int` `eContainerFeatureID()` Returns the container feature ID.
`int` `eDerivedStructuralFeatureID(EStructuralFeature eStructuralFeature)`
`protected boolean` `eDynamicIsSet(int dynamicFeatureID, EStructuralFeature eFeature)`
`protected boolean` `eHasSettings()`
`protected void` `eInitializeContainer()`
`InternalEObject` `eInternalContainer()` Returns the internal container, or `null`.
`protected boolean` `eIsCaching()`
`protected BasicEObjectImpl.EPropertiesHolder` `eProperties()`
`void` `eSetStore(InternalEObject.EStore store)` Set the store associated with this object.
`protected EStructuralFeature.Internal.DynamicValueHolder` `eSettings()`
`protected int` `eStaticFeatureCount()`
`InternalEObject.EStore` `eStore()` Returns the store associated with this object.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI, eStaticClass`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetDirectResource, eSetResource, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ENO_SETTINGS

    protected static final java.lang.Object[] ENO_SETTINGS

### EUNINITIALIZED_CONTAINER

    protected static final InternalEObject EUNINITIALIZED_CONTAINER

### eSettings

    protected java.lang.Object[] eSettings

### eStore

    protected InternalEObject.EStore eStore

Constructor Detail

### EStoreEObjectImpl

    public EStoreEObjectImpl()

  Creates a store-based EObject.

### EStoreEObjectImpl

    public EStoreEObjectImpl(InternalEObject.EStore eStore)

  Creates a store-based EObject.

### EStoreEObjectImpl

    public EStoreEObjectImpl(EClass eClass)

  Creates a store-based EObject.

### EStoreEObjectImpl

    public EStoreEObjectImpl(EClass eClass,
                             InternalEObject.EStore eStore)

  Creates a store-based EObject.

Method Detail

### eIsCaching

    protected boolean eIsCaching()

### dynamicGet

    public java.lang.Object dynamicGet(int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Returns the value of the feature.

  Specified by:
    `dynamicGet` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.
  Returns:
    the value of the feature.

### dynamicSet

    public void dynamicSet(int dynamicFeatureID,
                           java.lang.Object value)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Sets the value of the feature to the new value.

  Specified by:
    `dynamicSet` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.
    `value` - the new value for the feature.

### dynamicUnset

    public void dynamicUnset(int dynamicFeatureID)

  Description copied from interface: `EStructuralFeature.Internal.DynamicValueHolder`
  Unsets the value of the feature.

  Specified by:
    `dynamicUnset` in interface `EStructuralFeature.Internal.DynamicValueHolder`
  Parameters:
    `dynamicFeatureID` - the feature's index in the cached dynamic values.

### eDynamicIsSet

    protected boolean eDynamicIsSet(int dynamicFeatureID,
                                    EStructuralFeature eFeature)

  Overrides:
    `eDynamicIsSet` in class `BasicEObjectImpl`

### createList

    protected EList<?> createList(EStructuralFeature eStructuralFeature)

### createFeatureMap

    protected FeatureMap createFeatureMap(EStructuralFeature eStructuralFeature)

### eInternalContainer

    public InternalEObject eInternalContainer()

  Description copied from interface: `InternalEObject`
  Returns the internal container, or `null`. It does not resolve a proxy.

  Specified by:
    `eInternalContainer` in interface `InternalEObject`
  Overrides:
    `eInternalContainer` in class `EObjectImpl`
  Returns:
    the internal container.
  See Also:
    `EObject.eContainer()`, `InternalEObject.eDirectResource()`

### eContainerFeatureID

    public int eContainerFeatureID()

  Description copied from interface: `InternalEObject`
  Returns the container feature ID. If the container isn't a navigable feature, this will be a negative ID indicating the inverse of the containment feature's ID.

  Specified by:
    `eContainerFeatureID` in interface `InternalEObject`
  Overrides:
    `eContainerFeatureID` in class `EObjectImpl`
  Returns:
    the container feature ID.
  See Also:
    `EObject.eContainmentFeature()`, `InternalEObject.EOPPOSITE_FEATURE_BASE`

### eInitializeContainer

    protected void eInitializeContainer()

### eStore

    public InternalEObject.EStore eStore()

  Description copied from interface: `InternalEObject`
  Returns the store associated with this object.

  Specified by:
    `eStore` in interface `InternalEObject`
  Overrides:
    `eStore` in class `BasicEObjectImpl`
  Returns:
    the store associated with this object.

### eSetStore

    public void eSetStore(InternalEObject.EStore store)

  Description copied from interface: `InternalEObject`
  Set the store associated with this object. Most objects will not support this.

  Specified by:
    `eSetStore` in interface `InternalEObject`
  Overrides:
    `eSetStore` in class `BasicEObjectImpl`
  Parameters:
    `store` - the store to associate with this object.

### eStaticFeatureCount

    protected int eStaticFeatureCount()

  Overrides:
    `eStaticFeatureCount` in class `BasicEObjectImpl`

### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(EStructuralFeature eStructuralFeature)

  Overrides:
    `eDerivedStructuralFeatureID` in class `BasicEObjectImpl`

### eProperties

    protected BasicEObjectImpl.EPropertiesHolder eProperties()

  Overrides:
    `eProperties` in class `EObjectImpl`

### eHasSettings

    protected boolean eHasSettings()

  Overrides:
    `eHasSettings` in class `BasicEObjectImpl`

### eSettings

    protected EStructuralFeature.Internal.DynamicValueHolder eSettings()

  Overrides:
    `eSettings` in class `BasicEObjectImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.